# Interface TypedArrayConstructorArgs<T>

interface TypedArrayConstructorArgs<T> {
new TypedArrayConstructorArgs(
buffer: ArrayBufferLike,
offsetInBytes: number,
length: number,
): T;
BYTES_PER_ELEMENT: number;
name: string;
}

#### Type Parameters

- T

##### Index

### Constructors

constructor

### Properties

BYTES_PER_ELEMENT
name

## Constructors

### constructor

- new TypedArrayConstructorArgs(
  buffer: ArrayBufferLike,
  offsetInBytes: number,
  length: number,
  ): T

  #### Parameters

  - buffer: ArrayBufferLike
  - offsetInBytes: number
  - length: number

  #### Returns T

## Properties

### BYTES_PER_ELEMENT

BYTES_PER_ELEMENT: number

### name

name: string